#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Implementation of General Security Service API
Summary(pl.UTF-8):	Implementacja GSS API (General Security Service API)
Name:		gss
Version:	1.0.3
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/gss/%{name}-%{version}.tar.gz
# Source0-md5:	441859b30bed73010d426c087c71aac5
Patch0:		%{name}-info.patch
URL:		http://josefsson.org/gss/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.19.2
BuildRequires:	gtk-doc >= 1.1
BuildRequires:	help2man
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	shishi-devel >= 0.0.18
BuildRequires:	texinfo
Requires:	shishi >= 0.0.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GSS is an implementation of the Generic Security Service Application
Program Interface (GSS-API). GSS-API is used by network servers to
provide security services, e.g., to authenticate SMTP/IMAP clients
against SMTP/IMAP servers.

%description -l pl.UTF-8
GSS to implementacja GSS-API (Generic Security Service Application
Program Interface - ogólnego API usług bezpieczeństwa). GSS-API jest
używane przez serwery sieciowe do udostępniania usług bezpieczeństwa,
na przykład uwierzytelniania klientów SMTP/IMAP dla serwerów
SMTP/IMAP.

%package devel
Summary:	Header files for GSS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GSS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk-doc-common
Requires:	shishi-devel >= 0.0.18
# man3/gss_acquire_cred.3 file conflict
Conflicts:	heimdal-devel

%description devel
Header files for GSS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GSS.

%package static
Summary:	Static GSS library
Summary(pl.UTF-8):	Statyczna biblioteka GSS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GSS library.

%description static -l pl.UTF-8
Statyczna biblioteka GSS.

%prep
%setup -q
%patch0 -p1

%{__rm} m4/libtool.m4 po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4 -I lib/gl/m4 -I src/gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* THANKS
%attr(755,root,root) %{_bindir}/gss
%attr(755,root,root) %{_libdir}/libgss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgss.so.3
%{_mandir}/man1/gss.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgss.so
%{_libdir}/libgss.la
%{_includedir}/gss.h
%{_includedir}/gss
%{_pkgconfigdir}/gss.pc
%{_infodir}/gss.info*
%{_mandir}/man3/gss*.3*
%{_gtkdocdir}/gss

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgss.a
%endif
%changelog
* Sun Oct 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gss.git;a=log;h=master

* Sun Oct 12 2014 Jakub Bogusz <qboosh@pld-linux.org> f18d4c5
- updated to 1.0.3

* Fri Nov 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 960719d
- updated to 1.0.2
- removed obsolete pl.po-update patch

* Fri May 21 2010 Jakub Bogusz <qboosh@pld-linux.org> 4683e16
- updated to 1.0.1
- updated pl.po-update patch

* Thu May 13 2010 sparky <sparky@pld-linux.org> ffe592e
- BR: docbook-dtd412-xml, help2man

* Thu Apr 08 2010 Jakub Bogusz <qboosh@pld-linux.org> d496cc1
- updated to 1.0.0 (new soname)
- updated pl.po-update patch

* Thu Mar 25 2010 Jakub Bogusz <qboosh@pld-linux.org> feac4c9
- updated to 0.1.5 (new soname)
- updated pl.po-update patch

* Tue Mar 31 2009 Jakub Bogusz <qboosh@pld-linux.org> 2ad0d7f
- updated to 0.0.26
- added pl.po-update patch

* Tue Mar 31 2009 Jakub Bogusz <qboosh@pld-linux.org> 5ff4947
- for 0.0.26

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 64e7db9
- up to 0.0.25

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> e582999
- updated to 0.0.24

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> b4ff84d
- oops, alpha.gnu.org currently

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 262b18f
- updated Source URL (moved to gnu.org)

* Tue May 13 2008 Karol Krenski <charles@pld-linux.org> daeed11
- without static_libs bcond

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 773e878
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Sat Jan 05 2008 Jakub Bogusz <qboosh@pld-linux.org> a6284b0
- updated to 0.0.23

* Mon Jul 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 0ee304f
- GPL v3

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 982c6b7
- up to 0.0.22

* Wed May 23 2007 Jakub Bogusz <qboosh@pld-linux.org> 0a070e0
- updated to 0.0.21

* Wed Apr 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 75500b3
- updated to 0.0.20

* Wed Apr 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 0e2b6ed
- so explicit Conflicts with heimdal-devel

